Mismatching main project and subproject
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I was trying to create new subprojects by first creating a new main project and then adding the subprojects to it. Initially, everything

seemed to work fine. However, later on, I noticed that some of the newly created projects, along with their subprojects, were being

placed under existing projects. Eventually, the projects tab became rearranged, and all of the projects were mismatched. It's

important to mention that all the project settings are correctly aligned with their respective subprojects. Now I'm stuck and unable to

reverse the process or proceed with it. I've also restarted my server, but the issues persist. Please help.

History

#1 - 2024-04-07 07:07 - Go MAEDA

- Status changed from New to Needs feedback

Could you describe in more detail the problem you are facing?

#2 - 2024-04-23 19:13 - marcus schuetz

Hello ....

by us, we have the same issue. We use the:

Redmine version                5.1.1.stable

Ruby version                   3.3.0-p0 (2023-12-25) [x86_64-linux]

Rails version                  6.1.7.6

Environment                    production

Database adapter               PostgreSQL

In most times, the relations between project and subproject isn't correct rendered in html by the project overview page. We pointed to an incorrect

SQL querry against the DB. The DB himself or better the content looks fine. see --> projects.parent_id = projects.id

The GANTT also provide the same issue. Completly remixed relations bewteen projects and subprojects. It looks funny ...

#3 - 2024-04-24 18:55 - marcus schuetz

I fix it by myself. A LLM model gave me the correct hint. The break in the order and relations from project <-> subproject, came from the corrupt

content by the columns "lft" and "rgt" in table projects. Here I follow the law of https://en.wikipedia.org/wiki/Nested_set_model and all its fine. The

reason for the broken data in the DB lies with us. In the past, we had tried to import existing projects directly into the DB, but this was not successful.

The two columns rgt and lft became inconsistent. We will use the REST API for a second attempt to avoid such an accident in the future. I hope this

helps with the troubleshooting of Sirius Black. Bye.

#4 - 2024-04-28 08:15 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Also, you can rebuild the tree, please look after "redmine rebuild tree", there are multiple posts about this.

I'm closing this, please reopen if the issue persists.

Powered by TCPDF (www.tcpdf.org)

2025-07-01 1/1

https://en.wikipedia.org/wiki/Nested_set_model
http://www.tcpdf.org

